{% extends '../base.html'%} {% block main %} {% load static %}


<div class="conatiner-all d-flex position-relative">
  {% include "../components/quick_access.html" %}
  {% include "./admin-aside.html" %}

  <div class="table-container">
    <p class="text-center fs-4 mt-3">Modifications de site</p>
    <div class="add-article">
      <form method="POST" enctype="multipart/form-data">
        {% csrf_token %}
        <h3 class="text-center">Modification des images du slider</h3>
        <p class="text-center">Dimensions de l'image<br>Hauteur : 1000px<br>Largeur : 400px</p>
        <label for="current-images">
          Images actuelles&nbsp;:<br />
          <span style="font-size: 10px">
            **Pour supprimer une image, cliquez sur l'image, puis sur le bouton en
            forme de X.
          </span>
        </label>
        <div class="image-container" id="image-container-current">
          {% for image in get_slider_images %}
          <div class="image-wrapper">
            <img src="../../media/{{ image.url }}" alt="image from your device" />
            <button type="button" class="delete-button">
              <a style="text-decoration: none; color: inherit" href="{% url 'delete_one_slider_image' image.id %}">X</a>
            </button>
          </div>
          {% endfor %}
        </div>

        <div class="new-images">
          <p class="fs-4 text-center">Ajouter des nouvelles images</p>
          <input
          autocomplete="off"
          type="file"
          name="form-images"
          class="text form-control"
          id="image-input"
          multiple
          accept="image/*"
        />
        <div
          class="image-container"
          id="image-container"
          style="display: none"
        ></div>
        </div>
        <div class="w-100 d-flex justify-content-center align-content-center mt-4">
            <input class="normal-btn validate bg-success px-2 py-1 rounded shadow" type="submit" value="Valider">
        </div>
      </form>
    </div>
  </div>
</div>

<script>
  const select = document.querySelector("select#status");
  const input = document.querySelector("#inputSearchQ");
  select.addEventListener("change", (e) => {
    const status = e.target.value;
    sortTableRepairForAdminWithSelect(status);
  });
  input.addEventListener("input", (e) => {
    const q = e.target.value;
    sortTableRepairForAdminWithInput(q);
  });

</script>
{% endblock main%}
